Add a "Show Desktop" widget to the far right side of the default panel
Closed, ResolvedPublic

Description

Regular users love a "Show Desktop" button in any OS they're using. KDE Plasma offers one in the form of the "Show Desktop" widget, but does not add it by default. Kubuntu should! The best place for it is on the far right side of the default panel, so that when the panel is locked, the Show Desktop button includes the bottom-right-most pixel, making it easy to access by flinging your mouse in that direction and clicking (AKA Fitt's Law).

(Upstream task to make this this default is tracked in T7917: Show Desktop widget should be present by default in new installs)

ngraham created this task.Feb 1 2018, 7:42 PM

This is a truly cool widget, and I did miss the ability to do that easily when leaving my computer. So +1 for this suggestion as well.

Great! So what are the next steps for these tasks? They're all basically packaging tweaks; do we get the Kubuntu packagers involved?

I will add comments to your email. I wanted to check out all the links before doing so.

Thanks again Nate!

No problem!

I don't mind this in theory..... I think.

IIRC, needs either us to supply a modified default plasma-applets-something-something-rc, or a customs js to set up panel layout on plasma 1st initialisation. Will have to have a play in a clean VM.

This would be great for Windows to Kubuntu switchers. I don't use show desktop at all but I do know a lot of people who like it.

One thing to consider is that we might also want to make the Panel locked by default, which hides the hamburger menu that otherwise appears on the far right. That way, the actual farthest-right item would be the Show Desktop button and it would be perfectly Fitts'-law-compliant. :)

ngraham reassigned this task from valorie to rikmills.Feb 8 2018, 4:31 PM
ngraham added a subscriber: valorie.
ngraham updated the task description. (Show Details)Feb 8 2018, 5:19 PM
rikmills added a comment.EditedFeb 25 2018, 9:35 AM

May be just easiest for Kubuntu to have it's own custom panel layout template. That could then be selected in our default setting, or by a user, without having to modify the plasma default with a script.

i.e. a layout that would appear as an option here:

A Kubuntu default panel layout may include kicker instead of kickoff (with custom settings), the showdeskop widget etc.

A custom Kubuntu look-and-feel could then load that by default, instead of the default plasma one. Added benefit being that a user could easily switch or revert to the Plasma default if they wish.

Makes sense; then we could more easily change things ourselves in the future.

tsimonq2 moved this task from Inbox to Packaging / Devel on the Kubuntu board.Mar 20 2018, 9:37 PM
rikmills closed this task as Resolved.Mar 20 2018, 11:27 PM

[spam comment removed by sysadmin]